// Generated by dts-bundle-generator v9.5.1

import { Optional } from '@sirpepe/shed/types';
import { z } from 'zod';

export declare const defaultTheme: Theme;
export declare const ragdoll: Theme;
export declare const monokaiLight: Theme;
export declare const monokaiDark: Theme;
declare const backdropSchema: z.ZodObject<{
	kind: z.ZodLiteral<"BACKDROP">;
	value: z.ZodUnion<[
		z.ZodObject<{
			kind: z.ZodLiteral<"COLOR">;
			value: z.ZodUnion<[
				z.ZodString,
				z.ZodString
			]>;
		}, "strip", z.ZodTypeAny, {
			value: string;
			kind: "COLOR";
		}, {
			value: string;
			kind: "COLOR";
		}>,
		z.ZodObject<{
			kind: z.ZodLiteral<"LINEAR_GRADIENT">;
			stops: z.ZodArray<z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				position: z.ZodNumber;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}>, "many">;
			angle: z.ZodNumber;
		}, "strip", z.ZodTypeAny, {
			angle: number;
			kind: "LINEAR_GRADIENT";
			stops: {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}[];
		}, {
			angle: number;
			kind: "LINEAR_GRADIENT";
			stops: {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}[];
		}>
	]>;
}, "strip", z.ZodTypeAny, {
	value: {
		value: string;
		kind: "COLOR";
	} | {
		angle: number;
		kind: "LINEAR_GRADIENT";
		stops: {
			color: {
				value: string;
				kind: "COLOR";
			};
			position: number;
		}[];
	};
	kind: "BACKDROP";
}, {
	value: {
		value: string;
		kind: "COLOR";
	} | {
		angle: number;
		kind: "LINEAR_GRADIENT";
		stops: {
			color: {
				value: string;
				kind: "COLOR";
			};
			position: number;
		}[];
	};
	kind: "BACKDROP";
}>;
type BackgroundSchema = z.infer<typeof backdropSchema>;
declare const tokenThemeTypes: {
	readonly keyword: "keyword";
	readonly alternativeKeyword: "alternativeKeyword";
	readonly tag: "tag";
	readonly alternativeTag: "alternativeTag";
	readonly attribute: "attribute";
	readonly alternativeAttribute: "alternativeAttribute";
	readonly declaration: "declaration";
	readonly string: "string";
	readonly number: "number";
	readonly literal: "literal";
	readonly value: "value";
	readonly operator: "operator";
	readonly invocation: "invocation";
	readonly type: "type";
	readonly comment: "comment";
	readonly alternativeComment: "comment";
	readonly punctuation: "punctuation";
};
type LanguageThemeColorNames = keyof typeof tokenThemeTypes;
type LanguageThemeMap = Record<string, LanguageThemeColorNames>;
export declare const themeSchema: z.ZodObject<{
	version: z.ZodLiteral<3>;
	verticalAlign: z.ZodUnion<[
		z.ZodLiteral<"top">,
		z.ZodLiteral<"middle">
	]>;
	padding: z.ZodTuple<[
		z.ZodNumber,
		z.ZodNumber,
		z.ZodNumber,
		z.ZodNumber
	], null>;
	animation: z.ZodObject<{
		function: z.ZodEnum<[
			"ease",
			"ease-in",
			"ease-out",
			"ease-in-out",
			"linear"
		]>;
		duration: z.ZodNumber;
	}, "strip", z.ZodTypeAny, {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	}, {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	}>;
	layers: z.ZodObject<{
		lineNumbers: z.ZodObject<{
			enabled: z.ZodBoolean;
			typography: z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				weight: z.ZodString;
				style: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"italic">
				]>;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			}>;
			transform: z.ZodObject<{
				origin: z.ZodDefault<z.ZodString>;
				visible: z.ZodDefault<z.ZodString>;
				invisible: z.ZodDefault<z.ZodString>;
			}, "strip", z.ZodTypeAny, {
				origin: string;
				visible: string;
				invisible: string;
			}, {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			}>;
			horizontalMargin: z.ZodTuple<[
				z.ZodNumber,
				z.ZodNumber
			], null>;
		}, "strip", z.ZodTypeAny, {
			transform: {
				origin: string;
				visible: string;
				invisible: string;
			};
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			};
			horizontalMargin: [
				number,
				number
			];
		}, {
			transform: {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			};
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			};
			horizontalMargin: [
				number,
				number
			];
		}>;
		annotations: z.ZodObject<{
			inlay: z.ZodIntersection<z.ZodObject<{
				_default: z.ZodObject<{
					zIndex: z.ZodNumber;
					scale: z.ZodNumber;
					horizontalPadding: z.ZodTuple<[
						z.ZodNumber,
						z.ZodNumber
					], null>;
					filter: z.ZodString;
					text: z.ZodObject<{
						typography: z.ZodIntersection<z.ZodObject<{
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							weight: z.ZodString;
							style: z.ZodUnion<[
								z.ZodLiteral<"normal">,
								z.ZodLiteral<"italic">
							]>;
						}, "strip", z.ZodTypeAny, {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						}, {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						}>, z.ZodObject<{
							kind: z.ZodLiteral<"TYPOGRAPHY">;
							fontFamily: z.ZodString;
							lineHeight: z.ZodNumber;
							textShadow: z.ZodDefault<z.ZodString>;
						}, "strip", z.ZodTypeAny, {
							fontFamily: string;
							lineHeight: number;
							textShadow: string;
							kind: "TYPOGRAPHY";
						}, {
							fontFamily: string;
							lineHeight: number;
							kind: "TYPOGRAPHY";
							textShadow?: string | undefined;
						}>>;
						filter: z.ZodString;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							textShadow: string;
							kind: "TYPOGRAPHY";
						};
					}, {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							kind: "TYPOGRAPHY";
							textShadow?: string | undefined;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						outline: z.ZodObject<{
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							width: z.ZodNumber;
							offset: z.ZodNumber;
							style: z.ZodUnion<[
								z.ZodLiteral<"none">,
								z.ZodLiteral<"dotted">,
								z.ZodLiteral<"dashed">,
								z.ZodLiteral<"solid">,
								z.ZodLiteral<"double">,
								z.ZodLiteral<"grooved">,
								z.ZodLiteral<"ridge">,
								z.ZodLiteral<"inset">,
								z.ZodLiteral<"outset">
							]>;
						}, "strip", z.ZodTypeAny, {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						}, {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						}>;
						filter: z.ZodString;
						borderRadius: z.ZodNumber;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							textShadow: string;
							kind: "TYPOGRAPHY";
						};
					};
					horizontalPadding: [
						number,
						number
					];
				}, {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							kind: "TYPOGRAPHY";
							textShadow?: string | undefined;
						};
					};
					horizontalPadding: [
						number,
						number
					];
				}>;
			}, "strip", z.ZodTypeAny, {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							textShadow: string;
							kind: "TYPOGRAPHY";
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			}, {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							kind: "TYPOGRAPHY";
							textShadow?: string | undefined;
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			}>, z.ZodRecord<z.ZodString, z.ZodObject<{
				zIndex: z.ZodNumber;
				scale: z.ZodNumber;
				horizontalPadding: z.ZodTuple<[
					z.ZodNumber,
					z.ZodNumber
				], null>;
				filter: z.ZodString;
				text: z.ZodObject<{
					typography: z.ZodIntersection<z.ZodObject<{
						color: z.ZodObject<{
							kind: z.ZodLiteral<"COLOR">;
							value: z.ZodUnion<[
								z.ZodString,
								z.ZodString
							]>;
						}, "strip", z.ZodTypeAny, {
							value: string;
							kind: "COLOR";
						}, {
							value: string;
							kind: "COLOR";
						}>;
						weight: z.ZodString;
						style: z.ZodUnion<[
							z.ZodLiteral<"normal">,
							z.ZodLiteral<"italic">
						]>;
					}, "strip", z.ZodTypeAny, {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					}, {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					}>, z.ZodObject<{
						kind: z.ZodLiteral<"TYPOGRAPHY">;
						fontFamily: z.ZodString;
						lineHeight: z.ZodNumber;
						textShadow: z.ZodDefault<z.ZodString>;
					}, "strip", z.ZodTypeAny, {
						fontFamily: string;
						lineHeight: number;
						textShadow: string;
						kind: "TYPOGRAPHY";
					}, {
						fontFamily: string;
						lineHeight: number;
						kind: "TYPOGRAPHY";
						textShadow?: string | undefined;
					}>>;
					filter: z.ZodString;
				}, "strip", z.ZodTypeAny, {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						textShadow: string;
						kind: "TYPOGRAPHY";
					};
				}, {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						kind: "TYPOGRAPHY";
						textShadow?: string | undefined;
					};
				}>;
				background: z.ZodObject<{
					backdrop: z.ZodObject<{
						kind: z.ZodLiteral<"BACKDROP">;
						value: z.ZodUnion<[
							z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>,
							z.ZodObject<{
								kind: z.ZodLiteral<"LINEAR_GRADIENT">;
								stops: z.ZodArray<z.ZodObject<{
									color: z.ZodObject<{
										kind: z.ZodLiteral<"COLOR">;
										value: z.ZodUnion<[
											z.ZodString,
											z.ZodString
										]>;
									}, "strip", z.ZodTypeAny, {
										value: string;
										kind: "COLOR";
									}, {
										value: string;
										kind: "COLOR";
									}>;
									position: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}, {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}>, "many">;
								angle: z.ZodNumber;
							}, "strip", z.ZodTypeAny, {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							}, {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							}>
						]>;
					}, "strip", z.ZodTypeAny, {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					}, {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					}>;
					outline: z.ZodObject<{
						color: z.ZodObject<{
							kind: z.ZodLiteral<"COLOR">;
							value: z.ZodUnion<[
								z.ZodString,
								z.ZodString
							]>;
						}, "strip", z.ZodTypeAny, {
							value: string;
							kind: "COLOR";
						}, {
							value: string;
							kind: "COLOR";
						}>;
						width: z.ZodNumber;
						offset: z.ZodNumber;
						style: z.ZodUnion<[
							z.ZodLiteral<"none">,
							z.ZodLiteral<"dotted">,
							z.ZodLiteral<"dashed">,
							z.ZodLiteral<"solid">,
							z.ZodLiteral<"double">,
							z.ZodLiteral<"grooved">,
							z.ZodLiteral<"ridge">,
							z.ZodLiteral<"inset">,
							z.ZodLiteral<"outset">
						]>;
					}, "strip", z.ZodTypeAny, {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					}, {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					}>;
					filter: z.ZodString;
					borderRadius: z.ZodNumber;
				}, "strip", z.ZodTypeAny, {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				}, {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						textShadow: string;
						kind: "TYPOGRAPHY";
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						kind: "TYPOGRAPHY";
						textShadow?: string | undefined;
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}>>>;
		}, "strip", z.ZodTypeAny, {
			inlay: {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							textShadow: string;
							kind: "TYPOGRAPHY";
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			} & Record<string, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						textShadow: string;
						kind: "TYPOGRAPHY";
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}>;
		}, {
			inlay: {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							kind: "TYPOGRAPHY";
							textShadow?: string | undefined;
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			} & Record<string, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						kind: "TYPOGRAPHY";
						textShadow?: string | undefined;
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}>;
		}>;
		tokens: z.ZodObject<{
			typography: z.ZodIntersection<z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				weight: z.ZodString;
				style: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"italic">
				]>;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			}>, z.ZodObject<{
				kind: z.ZodLiteral<"TYPOGRAPHY">;
				fontFamily: z.ZodString;
				lineHeight: z.ZodNumber;
				textShadow: z.ZodDefault<z.ZodString>;
			}, "strip", z.ZodTypeAny, {
				fontFamily: string;
				lineHeight: number;
				textShadow: string;
				kind: "TYPOGRAPHY";
			}, {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				textShadow?: string | undefined;
			}>>;
			transform: z.ZodObject<{
				origin: z.ZodDefault<z.ZodString>;
				visible: z.ZodDefault<z.ZodString>;
				invisible: z.ZodDefault<z.ZodString>;
			}, "strip", z.ZodTypeAny, {
				origin: string;
				visible: string;
				invisible: string;
			}, {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			}>;
			colors: z.ZodObject<{
				string: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				number: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				keyword: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				alternativeKeyword: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				tag: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				alternativeTag: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				attribute: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				alternativeAttribute: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				declaration: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				literal: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				value: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				operator: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				invocation: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				type: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				comment: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				alternativeComment: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
				punctuation: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodString;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				}>;
			}, "strip", z.ZodTypeAny, {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			}, {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			}>;
		}, "strip", z.ZodTypeAny, {
			transform: {
				origin: string;
				visible: string;
				invisible: string;
			};
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			} & {
				fontFamily: string;
				lineHeight: number;
				textShadow: string;
				kind: "TYPOGRAPHY";
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			};
		}, {
			transform: {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			};
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				textShadow?: string | undefined;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			};
		}>;
		decorations: z.ZodObject<{
			gutter: z.ZodIntersection<z.ZodObject<{
				_default: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_GUTTER">;
					offset: z.ZodTuple<[
						z.ZodNumber,
						z.ZodNumber
					], null>;
					zIndex: z.ZodNumber;
					filter: z.ZodString;
					blendMode: z.ZodEnum<[
						"normal",
						"multiply",
						"screen",
						"overlay",
						"darken",
						"lighten",
						"color-dodge",
						"color-burn",
						"hard-light",
						"soft-light",
						"difference",
						"exclusion",
						"hue",
						"saturation",
						"color",
						"luminosity"
					]>;
					fontFamily: z.ZodString;
					transform: z.ZodObject<{
						origin: z.ZodDefault<z.ZodString>;
						visible: z.ZodDefault<z.ZodString>;
						invisible: z.ZodDefault<z.ZodString>;
					}, "strip", z.ZodTypeAny, {
						origin: string;
						visible: string;
						invisible: string;
					}, {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					}>;
				}, "strip", z.ZodTypeAny, {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				}, {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				}>;
			}, "strip", z.ZodTypeAny, {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			}, {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			}>, z.ZodRecord<z.ZodString, z.ZodObject<{
				kind: z.ZodLiteral<"DECORATION_GUTTER">;
				offset: z.ZodTuple<[
					z.ZodNumber,
					z.ZodNumber
				], null>;
				zIndex: z.ZodNumber;
				filter: z.ZodString;
				blendMode: z.ZodEnum<[
					"normal",
					"multiply",
					"screen",
					"overlay",
					"darken",
					"lighten",
					"color-dodge",
					"color-burn",
					"hard-light",
					"soft-light",
					"difference",
					"exclusion",
					"hue",
					"saturation",
					"color",
					"luminosity"
				]>;
				fontFamily: z.ZodString;
				transform: z.ZodObject<{
					origin: z.ZodDefault<z.ZodString>;
					visible: z.ZodDefault<z.ZodString>;
					invisible: z.ZodDefault<z.ZodString>;
				}, "strip", z.ZodTypeAny, {
					origin: string;
					visible: string;
					invisible: string;
				}, {
					origin?: string | undefined;
					visible?: string | undefined;
					invisible?: string | undefined;
				}>;
			}, "strip", z.ZodTypeAny, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin: string;
					visible: string;
					invisible: string;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin?: string | undefined;
					visible?: string | undefined;
					invisible?: string | undefined;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}>>>;
			line: z.ZodIntersection<z.ZodObject<{
				_default: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						zIndex: z.ZodNumber;
						filter: z.ZodString;
						backdropFilter: z.ZodString;
						blendMode: z.ZodEnum<[
							"normal",
							"multiply",
							"screen",
							"overlay",
							"darken",
							"lighten",
							"color-dodge",
							"color-burn",
							"hard-light",
							"soft-light",
							"difference",
							"exclusion",
							"hue",
							"saturation",
							"color",
							"luminosity"
						]>;
						transform: z.ZodObject<{
							origin: z.ZodDefault<z.ZodString>;
							visible: z.ZodDefault<z.ZodString>;
							invisible: z.ZodDefault<z.ZodString>;
						}, "strip", z.ZodTypeAny, {
							origin: string;
							visible: string;
							invisible: string;
						}, {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						}>;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					}, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						zIndex: z.ZodNumber;
						filter: z.ZodString;
						backdropFilter: z.ZodString;
						blendMode: z.ZodEnum<[
							"normal",
							"multiply",
							"screen",
							"overlay",
							"darken",
							"lighten",
							"color-dodge",
							"color-burn",
							"hard-light",
							"soft-light",
							"difference",
							"exclusion",
							"hue",
							"saturation",
							"color",
							"luminosity"
						]>;
						transform: z.ZodObject<{
							origin: z.ZodDefault<z.ZodString>;
							visible: z.ZodDefault<z.ZodString>;
							invisible: z.ZodDefault<z.ZodString>;
						}, "strip", z.ZodTypeAny, {
							origin: string;
							visible: string;
							invisible: string;
						}, {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						}>;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					}, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				}, {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			}, {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			}>, z.ZodRecord<z.ZodString, z.ZodObject<{
				kind: z.ZodLiteral<"DECORATION_LINE">;
				foreground: z.ZodObject<{
					endLeft: z.ZodUnion<[
						z.ZodLiteral<"tokens">,
						z.ZodLiteral<"gutter">,
						z.ZodLiteral<"scene">
					]>;
					endRight: z.ZodUnion<[
						z.ZodLiteral<"tokens">,
						z.ZodLiteral<"scene">
					]>;
					backdrop: z.ZodObject<{
						kind: z.ZodLiteral<"BACKDROP">;
						value: z.ZodUnion<[
							z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>,
							z.ZodObject<{
								kind: z.ZodLiteral<"LINEAR_GRADIENT">;
								stops: z.ZodArray<z.ZodObject<{
									color: z.ZodObject<{
										kind: z.ZodLiteral<"COLOR">;
										value: z.ZodUnion<[
											z.ZodString,
											z.ZodString
										]>;
									}, "strip", z.ZodTypeAny, {
										value: string;
										kind: "COLOR";
									}, {
										value: string;
										kind: "COLOR";
									}>;
									position: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}, {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}>, "many">;
								angle: z.ZodNumber;
							}, "strip", z.ZodTypeAny, {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							}, {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							}>
						]>;
					}, "strip", z.ZodTypeAny, {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					}, {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					}>;
					zIndex: z.ZodNumber;
					filter: z.ZodString;
					backdropFilter: z.ZodString;
					blendMode: z.ZodEnum<[
						"normal",
						"multiply",
						"screen",
						"overlay",
						"darken",
						"lighten",
						"color-dodge",
						"color-burn",
						"hard-light",
						"soft-light",
						"difference",
						"exclusion",
						"hue",
						"saturation",
						"color",
						"luminosity"
					]>;
					transform: z.ZodObject<{
						origin: z.ZodDefault<z.ZodString>;
						visible: z.ZodDefault<z.ZodString>;
						invisible: z.ZodDefault<z.ZodString>;
					}, "strip", z.ZodTypeAny, {
						origin: string;
						visible: string;
						invisible: string;
					}, {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					}>;
				}, "strip", z.ZodTypeAny, {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				}, {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				}>;
				background: z.ZodObject<{
					endLeft: z.ZodUnion<[
						z.ZodLiteral<"tokens">,
						z.ZodLiteral<"gutter">,
						z.ZodLiteral<"scene">
					]>;
					endRight: z.ZodUnion<[
						z.ZodLiteral<"tokens">,
						z.ZodLiteral<"scene">
					]>;
					backdrop: z.ZodObject<{
						kind: z.ZodLiteral<"BACKDROP">;
						value: z.ZodUnion<[
							z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>,
							z.ZodObject<{
								kind: z.ZodLiteral<"LINEAR_GRADIENT">;
								stops: z.ZodArray<z.ZodObject<{
									color: z.ZodObject<{
										kind: z.ZodLiteral<"COLOR">;
										value: z.ZodUnion<[
											z.ZodString,
											z.ZodString
										]>;
									}, "strip", z.ZodTypeAny, {
										value: string;
										kind: "COLOR";
									}, {
										value: string;
										kind: "COLOR";
									}>;
									position: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}, {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}>, "many">;
								angle: z.ZodNumber;
							}, "strip", z.ZodTypeAny, {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							}, {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							}>
						]>;
					}, "strip", z.ZodTypeAny, {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					}, {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					}>;
					zIndex: z.ZodNumber;
					filter: z.ZodString;
					backdropFilter: z.ZodString;
					blendMode: z.ZodEnum<[
						"normal",
						"multiply",
						"screen",
						"overlay",
						"darken",
						"lighten",
						"color-dodge",
						"color-burn",
						"hard-light",
						"soft-light",
						"difference",
						"exclusion",
						"hue",
						"saturation",
						"color",
						"luminosity"
					]>;
					transform: z.ZodObject<{
						origin: z.ZodDefault<z.ZodString>;
						visible: z.ZodDefault<z.ZodString>;
						invisible: z.ZodDefault<z.ZodString>;
					}, "strip", z.ZodTypeAny, {
						origin: string;
						visible: string;
						invisible: string;
					}, {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					}>;
				}, "strip", z.ZodTypeAny, {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				}, {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				}>;
			}, "strip", z.ZodTypeAny, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}>>>;
			text: z.ZodIntersection<z.ZodObject<{
				_default: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					foreground: z.ZodObject<{
						background: z.ZodObject<{
							backdrop: z.ZodObject<{
								kind: z.ZodLiteral<"BACKDROP">;
								value: z.ZodUnion<[
									z.ZodObject<{
										kind: z.ZodLiteral<"COLOR">;
										value: z.ZodUnion<[
											z.ZodString,
											z.ZodString
										]>;
									}, "strip", z.ZodTypeAny, {
										value: string;
										kind: "COLOR";
									}, {
										value: string;
										kind: "COLOR";
									}>,
									z.ZodObject<{
										kind: z.ZodLiteral<"LINEAR_GRADIENT">;
										stops: z.ZodArray<z.ZodObject<{
											color: z.ZodObject<{
												kind: z.ZodLiteral<"COLOR">;
												value: z.ZodUnion<[
													z.ZodString,
													z.ZodString
												]>;
											}, "strip", z.ZodTypeAny, {
												value: string;
												kind: "COLOR";
											}, {
												value: string;
												kind: "COLOR";
											}>;
											position: z.ZodNumber;
										}, "strip", z.ZodTypeAny, {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}, {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}>, "many">;
										angle: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										angle: number;
										kind: "LINEAR_GRADIENT";
										stops: {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}[];
									}, {
										angle: number;
										kind: "LINEAR_GRADIENT";
										stops: {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}[];
									}>
								]>;
							}, "strip", z.ZodTypeAny, {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							}, {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							}>;
							zIndex: z.ZodNumber;
							filter: z.ZodString;
							blendMode: z.ZodEnum<[
								"normal",
								"multiply",
								"screen",
								"overlay",
								"darken",
								"lighten",
								"color-dodge",
								"color-burn",
								"hard-light",
								"soft-light",
								"difference",
								"exclusion",
								"hue",
								"saturation",
								"color",
								"luminosity"
							]>;
							backdropFilter: z.ZodString;
							transform: z.ZodObject<{
								origin: z.ZodDefault<z.ZodString>;
								visible: z.ZodDefault<z.ZodString>;
								invisible: z.ZodDefault<z.ZodString>;
							}, "strip", z.ZodTypeAny, {
								origin: string;
								visible: string;
								invisible: string;
							}, {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							}>;
						}, "strip", z.ZodTypeAny, {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						}, {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							style: z.ZodEnum<[
								"none",
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
							zIndex: z.ZodNumber;
							filter: z.ZodString;
							blendMode: z.ZodEnum<[
								"normal",
								"multiply",
								"screen",
								"overlay",
								"darken",
								"lighten",
								"color-dodge",
								"color-burn",
								"hard-light",
								"soft-light",
								"difference",
								"exclusion",
								"hue",
								"saturation",
								"color",
								"luminosity"
							]>;
							backdropFilter: z.ZodString;
							transform: z.ZodObject<{
								origin: z.ZodDefault<z.ZodString>;
								visible: z.ZodDefault<z.ZodString>;
								invisible: z.ZodDefault<z.ZodString>;
							}, "strip", z.ZodTypeAny, {
								origin: string;
								visible: string;
								invisible: string;
							}, {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							}>;
						}, "strip", z.ZodTypeAny, {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						}, {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					}, {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						background: z.ZodObject<{
							backdrop: z.ZodObject<{
								kind: z.ZodLiteral<"BACKDROP">;
								value: z.ZodUnion<[
									z.ZodObject<{
										kind: z.ZodLiteral<"COLOR">;
										value: z.ZodUnion<[
											z.ZodString,
											z.ZodString
										]>;
									}, "strip", z.ZodTypeAny, {
										value: string;
										kind: "COLOR";
									}, {
										value: string;
										kind: "COLOR";
									}>,
									z.ZodObject<{
										kind: z.ZodLiteral<"LINEAR_GRADIENT">;
										stops: z.ZodArray<z.ZodObject<{
											color: z.ZodObject<{
												kind: z.ZodLiteral<"COLOR">;
												value: z.ZodUnion<[
													z.ZodString,
													z.ZodString
												]>;
											}, "strip", z.ZodTypeAny, {
												value: string;
												kind: "COLOR";
											}, {
												value: string;
												kind: "COLOR";
											}>;
											position: z.ZodNumber;
										}, "strip", z.ZodTypeAny, {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}, {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}>, "many">;
										angle: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										angle: number;
										kind: "LINEAR_GRADIENT";
										stops: {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}[];
									}, {
										angle: number;
										kind: "LINEAR_GRADIENT";
										stops: {
											color: {
												value: string;
												kind: "COLOR";
											};
											position: number;
										}[];
									}>
								]>;
							}, "strip", z.ZodTypeAny, {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							}, {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							}>;
							zIndex: z.ZodNumber;
							filter: z.ZodString;
							blendMode: z.ZodEnum<[
								"normal",
								"multiply",
								"screen",
								"overlay",
								"darken",
								"lighten",
								"color-dodge",
								"color-burn",
								"hard-light",
								"soft-light",
								"difference",
								"exclusion",
								"hue",
								"saturation",
								"color",
								"luminosity"
							]>;
							backdropFilter: z.ZodString;
							transform: z.ZodObject<{
								origin: z.ZodDefault<z.ZodString>;
								visible: z.ZodDefault<z.ZodString>;
								invisible: z.ZodDefault<z.ZodString>;
							}, "strip", z.ZodTypeAny, {
								origin: string;
								visible: string;
								invisible: string;
							}, {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							}>;
						}, "strip", z.ZodTypeAny, {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						}, {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							style: z.ZodEnum<[
								"none",
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
							zIndex: z.ZodNumber;
							filter: z.ZodString;
							blendMode: z.ZodEnum<[
								"normal",
								"multiply",
								"screen",
								"overlay",
								"darken",
								"lighten",
								"color-dodge",
								"color-burn",
								"hard-light",
								"soft-light",
								"difference",
								"exclusion",
								"hue",
								"saturation",
								"color",
								"luminosity"
							]>;
							backdropFilter: z.ZodString;
							transform: z.ZodObject<{
								origin: z.ZodDefault<z.ZodString>;
								visible: z.ZodDefault<z.ZodString>;
								invisible: z.ZodDefault<z.ZodString>;
							}, "strip", z.ZodTypeAny, {
								origin: string;
								visible: string;
								invisible: string;
							}, {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							}>;
						}, "strip", z.ZodTypeAny, {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						}, {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					}, {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				}, {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			}, {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			}>, z.ZodRecord<z.ZodString, z.ZodObject<{
				kind: z.ZodLiteral<"DECORATION_TEXT">;
				foreground: z.ZodObject<{
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						zIndex: z.ZodNumber;
						filter: z.ZodString;
						blendMode: z.ZodEnum<[
							"normal",
							"multiply",
							"screen",
							"overlay",
							"darken",
							"lighten",
							"color-dodge",
							"color-burn",
							"hard-light",
							"soft-light",
							"difference",
							"exclusion",
							"hue",
							"saturation",
							"color",
							"luminosity"
						]>;
						backdropFilter: z.ZodString;
						transform: z.ZodObject<{
							origin: z.ZodDefault<z.ZodString>;
							visible: z.ZodDefault<z.ZodString>;
							invisible: z.ZodDefault<z.ZodString>;
						}, "strip", z.ZodTypeAny, {
							origin: string;
							visible: string;
							invisible: string;
						}, {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						}>;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					}, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					}>;
					underline: z.ZodObject<{
						kind: z.ZodLiteral<"UNDERLINE">;
						offsetY: z.ZodNumber;
						style: z.ZodEnum<[
							"none",
							"line",
							"wave",
							"squiggly"
						]>;
						color: z.ZodObject<{
							kind: z.ZodLiteral<"COLOR">;
							value: z.ZodUnion<[
								z.ZodString,
								z.ZodString
							]>;
						}, "strip", z.ZodTypeAny, {
							value: string;
							kind: "COLOR";
						}, {
							value: string;
							kind: "COLOR";
						}>;
						scale: z.ZodNumber;
						width: z.ZodNumber;
						zIndex: z.ZodNumber;
						filter: z.ZodString;
						blendMode: z.ZodEnum<[
							"normal",
							"multiply",
							"screen",
							"overlay",
							"darken",
							"lighten",
							"color-dodge",
							"color-burn",
							"hard-light",
							"soft-light",
							"difference",
							"exclusion",
							"hue",
							"saturation",
							"color",
							"luminosity"
						]>;
						backdropFilter: z.ZodString;
						transform: z.ZodObject<{
							origin: z.ZodDefault<z.ZodString>;
							visible: z.ZodDefault<z.ZodString>;
							invisible: z.ZodDefault<z.ZodString>;
						}, "strip", z.ZodTypeAny, {
							origin: string;
							visible: string;
							invisible: string;
						}, {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						}>;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					}, {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				}, {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				}>;
				background: z.ZodObject<{
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						zIndex: z.ZodNumber;
						filter: z.ZodString;
						blendMode: z.ZodEnum<[
							"normal",
							"multiply",
							"screen",
							"overlay",
							"darken",
							"lighten",
							"color-dodge",
							"color-burn",
							"hard-light",
							"soft-light",
							"difference",
							"exclusion",
							"hue",
							"saturation",
							"color",
							"luminosity"
						]>;
						backdropFilter: z.ZodString;
						transform: z.ZodObject<{
							origin: z.ZodDefault<z.ZodString>;
							visible: z.ZodDefault<z.ZodString>;
							invisible: z.ZodDefault<z.ZodString>;
						}, "strip", z.ZodTypeAny, {
							origin: string;
							visible: string;
							invisible: string;
						}, {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						}>;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					}, {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					}>;
					underline: z.ZodObject<{
						kind: z.ZodLiteral<"UNDERLINE">;
						offsetY: z.ZodNumber;
						style: z.ZodEnum<[
							"none",
							"line",
							"wave",
							"squiggly"
						]>;
						color: z.ZodObject<{
							kind: z.ZodLiteral<"COLOR">;
							value: z.ZodUnion<[
								z.ZodString,
								z.ZodString
							]>;
						}, "strip", z.ZodTypeAny, {
							value: string;
							kind: "COLOR";
						}, {
							value: string;
							kind: "COLOR";
						}>;
						scale: z.ZodNumber;
						width: z.ZodNumber;
						zIndex: z.ZodNumber;
						filter: z.ZodString;
						blendMode: z.ZodEnum<[
							"normal",
							"multiply",
							"screen",
							"overlay",
							"darken",
							"lighten",
							"color-dodge",
							"color-burn",
							"hard-light",
							"soft-light",
							"difference",
							"exclusion",
							"hue",
							"saturation",
							"color",
							"luminosity"
						]>;
						backdropFilter: z.ZodString;
						transform: z.ZodObject<{
							origin: z.ZodDefault<z.ZodString>;
							visible: z.ZodDefault<z.ZodString>;
							invisible: z.ZodDefault<z.ZodString>;
						}, "strip", z.ZodTypeAny, {
							origin: string;
							visible: string;
							invisible: string;
						}, {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						}>;
					}, "strip", z.ZodTypeAny, {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					}, {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				}, {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}>>>;
		}, "strip", z.ZodTypeAny, {
			line: {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			} & Record<string, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}>;
			text: {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			} & Record<string, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}>;
			gutter: {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			} & Record<string, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin: string;
					visible: string;
					invisible: string;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}>;
		}, {
			line: {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			} & Record<string, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}>;
			text: {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			} & Record<string, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}>;
			gutter: {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			} & Record<string, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin?: string | undefined;
					visible?: string | undefined;
					invisible?: string | undefined;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}>;
		}>;
		background: z.ZodObject<{
			backdrop: z.ZodObject<{
				kind: z.ZodLiteral<"BACKDROP">;
				value: z.ZodUnion<[
					z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>,
					z.ZodObject<{
						kind: z.ZodLiteral<"LINEAR_GRADIENT">;
						stops: z.ZodArray<z.ZodObject<{
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							position: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}, {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}>, "many">;
						angle: z.ZodNumber;
					}, "strip", z.ZodTypeAny, {
						angle: number;
						kind: "LINEAR_GRADIENT";
						stops: {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}[];
					}, {
						angle: number;
						kind: "LINEAR_GRADIENT";
						stops: {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}[];
					}>
				]>;
			}, "strip", z.ZodTypeAny, {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			}, {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			}>;
		}, "strip", z.ZodTypeAny, {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		}, {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		}>;
	}, "strip", z.ZodTypeAny, {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			transform: {
				origin: string;
				visible: string;
				invisible: string;
			};
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			};
			horizontalMargin: [
				number,
				number
			];
		};
		annotations: {
			inlay: {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							textShadow: string;
							kind: "TYPOGRAPHY";
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			} & Record<string, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						textShadow: string;
						kind: "TYPOGRAPHY";
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}>;
		};
		tokens: {
			transform: {
				origin: string;
				visible: string;
				invisible: string;
			};
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			} & {
				fontFamily: string;
				lineHeight: number;
				textShadow: string;
				kind: "TYPOGRAPHY";
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			};
		};
		decorations: {
			line: {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			} & Record<string, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}>;
			text: {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			} & Record<string, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}>;
			gutter: {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			} & Record<string, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin: string;
					visible: string;
					invisible: string;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}>;
		};
	}, {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			transform: {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			};
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			};
			horizontalMargin: [
				number,
				number
			];
		};
		annotations: {
			inlay: {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							kind: "TYPOGRAPHY";
							textShadow?: string | undefined;
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			} & Record<string, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						kind: "TYPOGRAPHY";
						textShadow?: string | undefined;
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}>;
		};
		tokens: {
			transform: {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			};
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				textShadow?: string | undefined;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			};
		};
		decorations: {
			line: {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			} & Record<string, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}>;
			text: {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			} & Record<string, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}>;
			gutter: {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			} & Record<string, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin?: string | undefined;
					visible?: string | undefined;
					invisible?: string | undefined;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}>;
		};
	}>;
	variables: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
		syntax: z.ZodString;
		default: z.ZodString;
		description: z.ZodOptional<z.ZodString>;
	}, "strip", z.ZodTypeAny, {
		default: string;
		syntax: string;
		description?: string | undefined;
	}, {
		default: string;
		syntax: string;
		description?: string | undefined;
	}>>>;
	css: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
	animation: {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	};
	padding: [
		number,
		number,
		number,
		number
	];
	verticalAlign: "top" | "middle";
	version: 3;
	layers: {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			transform: {
				origin: string;
				visible: string;
				invisible: string;
			};
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			};
			horizontalMargin: [
				number,
				number
			];
		};
		annotations: {
			inlay: {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							textShadow: string;
							kind: "TYPOGRAPHY";
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			} & Record<string, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						textShadow: string;
						kind: "TYPOGRAPHY";
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}>;
		};
		tokens: {
			transform: {
				origin: string;
				visible: string;
				invisible: string;
			};
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			} & {
				fontFamily: string;
				lineHeight: number;
				textShadow: string;
				kind: "TYPOGRAPHY";
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			};
		};
		decorations: {
			line: {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			} & Record<string, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}>;
			text: {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin: string;
								visible: string;
								invisible: string;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			} & Record<string, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin: string;
							visible: string;
							invisible: string;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}>;
			gutter: {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin: string;
						visible: string;
						invisible: string;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			} & Record<string, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin: string;
					visible: string;
					invisible: string;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}>;
		};
	};
	variables?: Record<string, {
		default: string;
		syntax: string;
		description?: string | undefined;
	}> | undefined;
	css?: string | undefined;
}, {
	animation: {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	};
	padding: [
		number,
		number,
		number,
		number
	];
	verticalAlign: "top" | "middle";
	version: 3;
	layers: {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			transform: {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			};
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			};
			horizontalMargin: [
				number,
				number
			];
		};
		annotations: {
			inlay: {
				_default: {
					filter: string;
					background: {
						filter: string;
						borderRadius: number;
						outline: {
							offset: number;
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
						};
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					scale: number;
					zIndex: number;
					text: {
						filter: string;
						typography: {
							color: {
								value: string;
								kind: "COLOR";
							};
							style: "normal" | "italic";
							weight: string;
						} & {
							fontFamily: string;
							lineHeight: number;
							kind: "TYPOGRAPHY";
							textShadow?: string | undefined;
						};
					};
					horizontalPadding: [
						number,
						number
					];
				};
			} & Record<string, {
				filter: string;
				background: {
					filter: string;
					borderRadius: number;
					outline: {
						offset: number;
						width: number;
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "none" | "inset" | "dotted" | "dashed" | "solid" | "double" | "grooved" | "ridge" | "outset";
					};
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
				};
				scale: number;
				zIndex: number;
				text: {
					filter: string;
					typography: {
						color: {
							value: string;
							kind: "COLOR";
						};
						style: "normal" | "italic";
						weight: string;
					} & {
						fontFamily: string;
						lineHeight: number;
						kind: "TYPOGRAPHY";
						textShadow?: string | undefined;
					};
				};
				horizontalPadding: [
					number,
					number
				];
			}>;
		};
		tokens: {
			transform: {
				origin?: string | undefined;
				visible?: string | undefined;
				invisible?: string | undefined;
			};
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: string;
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				textShadow?: string | undefined;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: string;
				};
			};
		};
		decorations: {
			line: {
				_default: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
					kind: "DECORATION_LINE";
					foreground: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
					};
				};
			} & Record<string, {
				background: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
				kind: "DECORATION_LINE";
				foreground: {
					filter: string;
					backdropFilter: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					backdrop: {
						value: {
							value: string;
							kind: "COLOR";
						} | {
							angle: number;
							kind: "LINEAR_GRADIENT";
							stops: {
								color: {
									value: string;
									kind: "COLOR";
								};
								position: number;
							}[];
						};
						kind: "BACKDROP";
					};
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					endLeft: "tokens" | "gutter" | "scene";
					endRight: "tokens" | "scene";
				};
			}>;
			text: {
				_default: {
					background: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
					kind: "DECORATION_TEXT";
					foreground: {
						background: {
							filter: string;
							backdropFilter: string;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							backdrop: {
								value: {
									value: string;
									kind: "COLOR";
								} | {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								};
								kind: "BACKDROP";
							};
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						};
						underline: {
							filter: string;
							width: number;
							backdropFilter: string;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							transform: {
								origin?: string | undefined;
								visible?: string | undefined;
								invisible?: string | undefined;
							};
							zIndex: number;
							style: "none" | "line" | "wave" | "squiggly";
							kind: "UNDERLINE";
							blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
							offsetY: number;
						};
					};
				};
			} & Record<string, {
				background: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
				kind: "DECORATION_TEXT";
				foreground: {
					background: {
						filter: string;
						backdropFilter: string;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
					};
					underline: {
						filter: string;
						width: number;
						backdropFilter: string;
						color: {
							value: string;
							kind: "COLOR";
						};
						scale: number;
						transform: {
							origin?: string | undefined;
							visible?: string | undefined;
							invisible?: string | undefined;
						};
						zIndex: number;
						style: "none" | "line" | "wave" | "squiggly";
						kind: "UNDERLINE";
						blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
						offsetY: number;
					};
				};
			}>;
			gutter: {
				_default: {
					filter: string;
					offset: [
						number,
						number
					];
					fontFamily: string;
					transform: {
						origin?: string | undefined;
						visible?: string | undefined;
						invisible?: string | undefined;
					};
					zIndex: number;
					kind: "DECORATION_GUTTER";
					blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
				};
			} & Record<string, {
				filter: string;
				offset: [
					number,
					number
				];
				fontFamily: string;
				transform: {
					origin?: string | undefined;
					visible?: string | undefined;
					invisible?: string | undefined;
				};
				zIndex: number;
				kind: "DECORATION_GUTTER";
				blendMode: "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light";
			}>;
		};
	};
	variables?: Record<string, {
		default: string;
		syntax: string;
		description?: string | undefined;
	}> | undefined;
	css?: string | undefined;
}>;
export type Theme = z.infer<typeof themeSchema>;
type ThemeWithCondition = {
	theme: Theme;
	condition: string;
};
type LinkedNode = Omit<Node$1, "content"> & {
	prevNode: LinkedNode | null;
	prevToken: LinkedToken | null;
	nextNode: LinkedNode | null;
	nextToken: LinkedToken | null;
	parent: LinkedNode | null;
	content: (LinkedNode | LinkedToken)[];
};
type LinkedToken = Token & {
	prevNode: LinkedNode | null;
	prevToken: LinkedToken | null;
	nextNode: LinkedNode | null;
	nextToken: LinkedToken | null;
	parent: LinkedNode;
};
type Coords = {
	sx: number;
	sy: number;
	ex: number;
	ey: number;
};
type Diffable = Coords & {
	hash: number;
	context: string[];
	depth: number;
	squad: number;
};
type Token = Diffable & {
	text: string;
	type: string;
	range: number;
	isWeak: boolean;
	language: string;
};
export type InputRange = {
	from: number;
	to: number;
	data: Record<string, string>;
};
type ComposedRange = InputRange & {
	hash: number;
};
type Node$1 = Diffable & {
	type: string;
	content: (Node$1 | Token)[];
	size: number;
};
type LanguageHeuristics = {
	nodeAssignmentSkipPredicate?: (currentTo: LinkedNode) => boolean;
};
type LanguageDefinition = {
	facets: {
		name: string;
		title: string;
		[other: string]: string;
	};
	processor: (code: string, sliceFrom: number, sliceTo: number, inputContext: string[], ranges: ComposedRange[], flags: any) => Node$1[];
	themeMap: LanguageThemeMap;
	dependencies: Record<string, LanguageDefinition>;
	heuristics: LanguageHeuristics;
};
declare const baseExternalSchema: z.ZodObject<{
	data: z.ZodRecord<z.ZodString, z.ZodString>;
}, "strip", z.ZodTypeAny, {
	data: Record<string, string>;
}, {
	data: Record<string, string>;
}>;
type BaseExternal = z.infer<typeof baseExternalSchema>;
declare const inputGutterDecorationSchema: z.ZodObject<{
	data: z.ZodRecord<z.ZodString, z.ZodString>;
} & {
	kind: z.ZodLiteral<"GUTTER">;
	text: z.ZodString;
	line: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
	data: Record<string, string>;
	line: number;
	text: string;
	kind: "GUTTER";
}, {
	data: Record<string, string>;
	line: number;
	text: string;
	kind: "GUTTER";
}>;
type InputGutterDecoration = z.infer<typeof inputGutterDecorationSchema>;
declare const inputLineDecorationSchema: z.ZodObject<{
	data: z.ZodRecord<z.ZodString, z.ZodString>;
} & {
	kind: z.ZodLiteral<"LINE">;
	fromLine: z.ZodNumber;
	toLine: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
	data: Record<string, string>;
	kind: "LINE";
	fromLine: number;
	toLine: number;
}, {
	data: Record<string, string>;
	kind: "LINE";
	fromLine: number;
	toLine: number;
}>;
type InputLineDecoration = z.infer<typeof inputLineDecorationSchema>;
declare const inputTextDecorationSchema: z.ZodObject<{
	data: z.ZodRecord<z.ZodString, z.ZodString>;
} & {
	kind: z.ZodLiteral<"TEXT">;
	from: z.ZodNumber;
	to: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
	data: Record<string, string>;
	kind: "TEXT";
	from: number;
	to: number;
}, {
	data: Record<string, string>;
	kind: "TEXT";
	from: number;
	to: number;
}>;
type InputTextDecoration = z.infer<typeof inputTextDecorationSchema>;
declare const inputDecorationSchema: z.ZodDiscriminatedUnion<"kind", [
	z.ZodObject<{
		data: z.ZodRecord<z.ZodString, z.ZodString>;
	} & {
		kind: z.ZodLiteral<"GUTTER">;
		text: z.ZodString;
		line: z.ZodNumber;
	}, "strip", z.ZodTypeAny, {
		data: Record<string, string>;
		line: number;
		text: string;
		kind: "GUTTER";
	}, {
		data: Record<string, string>;
		line: number;
		text: string;
		kind: "GUTTER";
	}>,
	z.ZodObject<{
		data: z.ZodRecord<z.ZodString, z.ZodString>;
	} & {
		kind: z.ZodLiteral<"LINE">;
		fromLine: z.ZodNumber;
		toLine: z.ZodNumber;
	}, "strip", z.ZodTypeAny, {
		data: Record<string, string>;
		kind: "LINE";
		fromLine: number;
		toLine: number;
	}, {
		data: Record<string, string>;
		kind: "LINE";
		fromLine: number;
		toLine: number;
	}>,
	z.ZodObject<{
		data: z.ZodRecord<z.ZodString, z.ZodString>;
	} & {
		kind: z.ZodLiteral<"TEXT">;
		from: z.ZodNumber;
		to: z.ZodNumber;
	}, "strip", z.ZodTypeAny, {
		data: Record<string, string>;
		kind: "TEXT";
		from: number;
		to: number;
	}, {
		data: Record<string, string>;
		kind: "TEXT";
		from: number;
		to: number;
	}>
]>;
export type InputDecoration = z.infer<typeof inputDecorationSchema>;
type GutterDecoration = InputGutterDecoration & Coords & Diffable;
type LineDecoration = InputLineDecoration & Coords & Diffable;
type TextDecoration = InputTextDecoration & Coords & Diffable;
type Decoration = GutterDecoration | LineDecoration | TextDecoration;
type AnnotationToken = Diffable & {
	text: string;
	parent: Annotation;
};
declare const inputInlayAnnotationSchema: z.ZodObject<{
	data: z.ZodRecord<z.ZodString, z.ZodString>;
} & {
	kind: z.ZodLiteral<"INLAY">;
	text: z.ZodString;
	line: z.ZodNumber;
	char: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
	data: Record<string, string>;
	line: number;
	text: string;
	kind: "INLAY";
	char: number;
}, {
	data: Record<string, string>;
	line: number;
	text: string;
	kind: "INLAY";
	char: number;
}>;
type InputInlayAnnotation = z.infer<typeof inputInlayAnnotationSchema>;
declare const inputAnnotationSchema: z.ZodDiscriminatedUnion<"kind", [
	z.ZodObject<{
		data: z.ZodRecord<z.ZodString, z.ZodString>;
	} & {
		kind: z.ZodLiteral<"INLAY">;
		text: z.ZodString;
		line: z.ZodNumber;
		char: z.ZodNumber;
	}, "strip", z.ZodTypeAny, {
		data: Record<string, string>;
		line: number;
		text: string;
		kind: "INLAY";
		char: number;
	}, {
		data: Record<string, string>;
		line: number;
		text: string;
		kind: "INLAY";
		char: number;
	}>
]>;
type InputAnnotation = z.infer<typeof inputAnnotationSchema>;
type InlayAnnotation = InputInlayAnnotation & Coords & Diffable & {
	content: AnnotationToken[];
};
type Annotation = InlayAnnotation;
type FrameMetadata = {
	renderedText: string;
	cols: number;
	rows: number;
};
type Transform = [
	a: number,
	b: number,
	c: number,
	d: number,
	tx: number,
	ty: number
];
type TokenOutput = {
	id: number;
	text: string;
	type: string;
	language: string;
};
type LineNumberOutput = {
	id: number;
	text: string;
};
type GutterDecorationOutput = BaseExternal & {
	id: number;
	text: string;
	readonly kind: InputGutterDecoration["kind"];
};
type LineDecorationOutput = BaseExternal & {
	id: number;
	readonly kind: InputLineDecoration["kind"];
};
type TextDecorationOutput = BaseExternal & {
	id: number;
	readonly kind: InputTextDecoration["kind"];
};
type DecorationOutput = GutterDecorationOutput | LineDecorationOutput | TextDecorationOutput;
type AnnotationOutput = BaseExternal & {
	id: number;
	kind: string;
};
type AnnotationTokenOutput = BaseExternal & {
	id: number;
	text: string;
	kind: string;
};
type TextPosition = {
	x: number;
	y: number;
	a: number;
	t: Transform;
};
type AnnotationTextPosition = TextPosition & {
	rx: number;
	ry: number;
};
type DecorationPosition = {
	x: number;
	y: number;
	w: number;
	h: number;
	a: number;
	t: Transform;
};
type AnnotationPosition = {
	x: number;
	y: number;
	w: number;
	h: number;
	a: number;
	t: Transform;
};
type Frame = {
	isKeyframe: boolean;
	cols: number;
	rows: number;
	text: Map<number, TextPosition>;
	lineNumbers: Map<number, {
		a: number;
	}>;
	decoration: Map<number, DecorationPosition>;
	annotation: Map<number, AnnotationPosition>;
	annotationText: Map<number, AnnotationTextPosition>;
};
type Scene = {
	cols: number;
	rows: number;
	objects: {
		text: Map<number, TokenOutput>;
		lineNumbers: Map<number, LineNumberOutput>;
		decoration: Map<number, DecorationOutput>;
		annotation: Map<number, AnnotationOutput>;
		annotationText: Map<number, AnnotationTokenOutput>;
	};
	frames: Map<number, Frame>;
	metadata: Map<number, FrameMetadata>;
};
type SceneData = {
	scene: Scene;
	language: LanguageDefinition;
};
type InputFrame = {
	code: string;
	ranges: InputRange[];
	decorations: InputDecoration[];
	annotations: InputAnnotation[];
};
type InputOptions = {
	language: LanguageDefinition;
	tabSize: number;
	minCols?: number;
};
type HighlightData = {
	tokens: Token[];
	decorations: Decoration[];
	annotations: Annotation[];
	metadata: FrameMetadata;
	language: LanguageDefinition;
};
export declare function fromStringsToScene(inputFrames: Optional<InputFrame, "decorations" | "annotations" | "ranges">[], { language, tabSize, minCols }: InputOptions): SceneData;
export declare function fromStringToTokens(inputFrame: Optional<InputFrame, "decorations" | "annotations" | "ranges">, { language, tabSize, minCols }: InputOptions): HighlightData;
type AnimationOptions = {
	rootClassSeed?: number;
	debugOverride?: boolean;
	theme?: Theme | ThemeWithCondition[];
	wrapCSS?: (id: string, content: string) => string;
};
export declare function toAnimationHTML({ scene, language }: SceneData, { rootClassSeed, theme, debugOverride, wrapCSS, }?: AnimationOptions): string;
type HighlightOptions = {
	rootClassSeed?: number;
	debugOverride?: boolean;
	theme?: Theme;
	wrapCSS?: (id: string, content: string) => string;
};
export declare function toHighlightHTML({ tokens, decorations, annotations, metadata, language }: HighlightData, { rootClassSeed, theme, debugOverride, wrapCSS, }?: HighlightOptions): string;
export declare function ch(amount: number): string;
export declare function font(family: string, lineHeight: number): string;
export declare function backdropToCss(backdrop: BackgroundSchema): {
	background: string;
};
type AnimationInput = Parameters<typeof fromStringsToScene>[0];
type AnimationOptions$1 = Parameters<typeof fromStringsToScene>[1];
type AnimationHTMLOptions = Parameters<typeof toAnimationHTML>[1];
interface AnimateOptions extends NonNullable<AnimationOptions$1>, NonNullable<AnimationHTMLOptions> {
}
export declare function animateHTML(input: AnimationInput, options: AnimateOptions): string;
type HighlightingInput = Parameters<typeof fromStringToTokens>[0];
type HighlightingOptions = Parameters<typeof fromStringToTokens>[1];
type HighlightingHTMLOptions = Parameters<typeof toHighlightHTML>[1];
interface HighlightOptions$1 extends NonNullable<HighlightingOptions>, NonNullable<HighlightingHTMLOptions> {
}
export declare function highlightHTML(input: HighlightingInput, options: HighlightOptions$1): string;

export {};
